
package gov.va.med.esr.common.model.comms;



public class HandbookBatchStatistics {
	
	/*	For handbook batch request, this is the release date; 
	 *  for handbook bacth file statistics, this is the start date criteria 
	 *  for the handbook batch
	 */	
	public static final int REJ_BY_HEC = 0;
	
	public static final int SENT_TO_CMS = 1; // handbook batch request count only

	public static final int PF_INSERT_SENT_TO_CMS = 2; // handbook batch file count only
	public static final int HB_SENT_TO_CMS = 3; // handbook batch file count only
	public static final int BENEFITS_INSERT_SENT_TO_CMS = 4; // handbook batch file count only
	
	public static final int MAILED_BY_CMS = 5;
	public static final int ONLINE = 6;
	public static final int HB_IN_VBR = 7;
	public static final int BAG_IN_VBR = 8;
	public static final int ERRORED_BY_CMS = 9;
	public static final int CODE_1_REJECT = 10;
	public static final int RETURNED_BY_USPS = 11;
	
	private Integer[] counts = new Integer[12]; 
	
	public void setCounts(int index, Integer count) {
		counts[index] = count; 
	}
	
	public Integer getCounts(int index) {
		if (counts[index] == null) {
			counts[index] = new Integer(0);
		}
		return counts[index];
	}
	
	public Integer[] getCounts()
	{
		return counts;
	}
	

}